Bug 716995 - Remove Deprecation Statement in /etc/udev/rules.d/60-raw.rules
Remove Deprecation Statement in /etc/udev/rules.d/60-raw.rules
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng (Show other bugs)
6.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Karel Zak
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-27 13:11 EDT by Mark Flitter
Modified: 2012-12-19 02:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 12:11:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Flitter 2011-06-27 13:11:50 EDT
Description of problem:

as per https://bugzilla.redhat.com/show_bug.cgi?id=472891#c24
we have re-enabled raw device support.

The the linked comment in the above BZ notes we need to remove the deprecation statement as it is again in mainline.

As of 6.1, it appears to still be there:

[root@civitate ~]# head -4 /etc/udev/rules.d/60-raw.rules
# This file and interface are deprecated.
# Applications needing raw device access should open regular
# block devices with O_DIRECT.
#

[root@civitate ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.1 (Santiago)


Version-Release number of selected component (if applicable):

6.x

Can we remove the first line of /etc/udev/rules.d/60-raw.rules to avoid confusion from customers that still need to use raw devices?
Comment 3 Harald Hoyer 2011-06-30 10:05:30 EDT
$ rpm -qf /etc/udev/rules.d/60-raw.rules
util-linux-ng-2.17.2-6.el6_0.1.i686
Comment 7 errata-xmlrpc 2011-12-06 12:11:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1691.html

Note You need to log in before you can comment on or make changes to this bug.